tigase.monitor

## Class TasksScriptRegistrar

- java.lang.Object
- - tigase.monitor.TasksScriptRegistrar

-     public class TasksScriptRegistrar
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ID`
    `protected Logger` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TasksScriptRegistrar()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete(String taskName)`
    `Kernel` | `getKernel()`
    `ComponentRepository<TaskConfigItem>` | `getRepo()`
    `void` | `load()`
    `void` | `registerScript(String scriptName, String scriptExtension, String scriptContent)`
    `void` | `registerTimerScript(String scriptName, String scriptExtension, String scriptContent, Long delay)`
    `void` | `setKernel(Kernel kernel)`
    `void` | `setRepo(ComponentRepository<TaskConfigItem> repo)`
    `void` | `updateConfig(String taskName, Form form)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### log

          protected final Logger log

  - ### Constructor Detail

    - #### TasksScriptRegistrar

          public TasksScriptRegistrar()

  - ### Method Detail

    - #### delete

          public void delete(String taskName)

    - #### getKernel

          public Kernel getKernel()

    - #### getRepo

          public ComponentRepository<TaskConfigItem> getRepo()

    - #### load

          public void load()

    - #### registerScript

          public void registerScript(String scriptName,
                                     String scriptExtension,
                                     String scriptContent)
                              throws ScriptException

      Throws:
        `ScriptException`

    - #### registerTimerScript

          public void registerTimerScript(String scriptName,
                                          String scriptExtension,
                                          String scriptContent,
                                          Long delay)
                                   throws ScriptException

      Throws:
        `ScriptException`

    - #### setKernel

          public void setKernel(Kernel kernel)

    - #### setRepo

          public void setRepo(ComponentRepository<TaskConfigItem> repo)

    - #### updateConfig

          public void updateConfig(String taskName,
                                   Form form)

Copyright © 2022 "Tigase, Inc.". All rights reserved.